import java.util.*;
import java.lang.*;
import java.io.*;

class sogut1Test{
  public static void main(String args[]) throws IOException
  { 
    refrigerant r2=new refrigerant("R134a");
    //double v=1.0/1.8526;
    double v=0.45579;
    double t=10.0;
    double T=t+273.15;
    double  h2=r2.h1(t,v);
    double x1=T*r2.dPdT(t,v)-r2.P(t,v);
    double x2=r2.dPdT_say(t,v)+r2.integralCv(t)+r2.ug(0)+r2.P(t,v)*v;
     double x3=r2.dPdT1(t,v);
    System.out.println("h2="+h2+"dPdT="+r2.dPdT(t,v)+"dpdTsay="+r2.dPdT_say(t,v)+"x1="+x1+"x2="+x2+"x3="+x3+"u0="+r2.ug(0)+"Cp="+r2.Cp(t)+"Cv="+r2.Cv(t)+"integralCV="+r2.integralCv(t)); 
  }
}
